Subject: Document require-final-newline vs. readonly files

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Wed, 23 Jun 2021 23:14:56 +0800

(info "(emacs) Customize Save") says:
   If the value of the variable ‘require-final-newline’ is ‘t’, saving or
   writing a file silently puts a newline at the end if there isn’t already
   one there.  If the value is ‘visit’, Emacs adds a newline at the end of
   any file that doesn’t have one, just after it visits the file...

OK, but mention if this even affects readonly files / owned by other users
that we visit.